%{?nodejs_find_provides_and_requires}

%global commit 74a42f06087891273274acf2e30065ee9454bd66

%global enable_tests 0

Name:       nodejs-css-stringify
Version:    1.4.1
Release:    %mkrel 5
Summary:    A CSS compiler for Node.js
License:    MIT
Group:      System/Libraries
URL:        https://github.com/visionmedia/css-stringify
# Use GitHub as the NPM tarball is missing useful files/folders.
Source0:    https://github.com/visionmedia/css-stringify/archive/%{commit}/%{name}-%{version}.tar.gz
Patch0:     vers.patch
BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  mocha
BuildRequires:  npm(css-parse)
BuildRequires:  npm(should)
BuildRequires:  npm(source-map)
%endif

%description
%{summary}.


%prep
%setup -q -n css-stringify-%{commit}
%autopatch -p1

%nodejs_fixdep minimist ^1.2.x
%nodejs_fixdep source-map ^0.5.x

%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/css-stringify
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/css-stringify

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha --require should --reporter spec --bail
%endif


%files
%doc History.md LICENSE Readme.md examples/
%{nodejs_sitelib}/css-stringify




%changelog
* Sat Feb 20 2016 umeabot <umeabot> 1.4.1-5.mga6
+ Revision: 972412
- Mageia 6 Mass Rebuild

* Wed Nov 04 2015 spuhler <spuhler> 1.4.1-4.mga6
+ Revision: 897710
- added %%nodejs_fixdep source-map ^0.5.x

* Wed Nov 04 2015 spuhler <spuhler> 1.4.1-3.mga6
+ Revision: 897695
- changed %%nodejs_fixdep minimist to ^1.2.
- add vers.patch

* Tue Dec 09 2014 tv <tv> 1.4.1-2.mga5
+ Revision: 802487
- reenable testsuite

* Wed Oct 29 2014 tv <tv> 1.4.1-1.mga5
+ Revision: 794367
- disable tests for bootstrap
- imported package nodejs-css-stringify


* Wed Oct 29 2014 Thierry Vignaud <tv@mageia.org> 1.4.1-1.mga5
- import from FC

* Sun Mar 02 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 1.4.1-1
- initial package
